Subject: Re: [PATCH v4 2/3] gitk: do not parse " >" context as submodule change

From: Thomas Rast <[email-masked]>
Date: Sat, 17 Apr 2010 14:20:55 +0200

Paul Mackerras wrote:
> On Wed, Apr 14, 2010 at 05:59:07PM +0200, Thomas Rast wrote:
> 
> > Since 5c838d2 (gitk: Use the --submodule option for displaying diffs
> > when available, 2009-10-28) gitk erroneously matches "  >" and "  <"
> > at the beginning of a line in the submodule code even if we're in the
> > diff text section and the lines should be treated as context.
> > 
> > Fix by (ab)using the $diffinhdr variable also in the 'Submodule...'
> > case, and move the "  >"/"  <" specific code inside the $diffinhdr
> > test.  The existing code will set $diffinhdr to 0 when it hits a
> > "+++", so that it is always 0 when we can hit a context line.
> 
> Looks good, but there's no Signed-off-by?

Whoops, sorry:

Signed-off-by: Thomas Rast <[email-masked]>

-- 
Thomas Rast
trast@{inf,student}.ethz.ch